For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTFind recurring groups in a transaction history
LogoLogo
Legacy DocsSign in
API ReferenceRecurrence

Find recurring groups in a transaction history

POST
https://api.ntropy.com/v3/account_holders/:id/recurring_groups
POST
/v3/account_holders/:id/recurring_groups
$curl -X POST https://api.ntropy.com/v3/account_holders/id/recurring_groups \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {}
>}'
1[
2 {
3 "id": "8efbac45-9bd5-4b67-be29-334106198c40",
4 "start_date": "2023-01-01",
5 "end_date": "2023-01-31",
6 "total_amount": 120.5,
7 "average_amount": 30.13,
8 "periodicity_in_days": 7,
9 "periodicity": "weekly",
10 "counterparty": {
11 "type": "organization",
12 "id": "d4bc3c80-ec1a-3da2-836e-2a4ca4758be5",
13 "name": "Starbucks",
14 "website": "https://starbucks.com",
15 "phone_number": "+1 4153753176",
16 "tax_number": "80-0429876",
17 "naics2017": "541519",
18 "logo": "https://logos.ntropy.com/starbucks.com",
19 "mccs": [
20 5814
21 ]
22 },
23 "categories": {
24 "general": "coffee shop"
25 },
26 "transaction_ids": [
27 "2dc6SE8A7cTQ2jUdUadCg",
28 "tQYAhhl0XNkl1wasacpVQ",
29 "NNJTqvockIdKnYxBqPlJw",
30 "X9JkLmN8PqRsTuVwXyZ0"
31 ],
32 "entry_type": "outgoing"
33 }
34]

Identifies and categorizes recurring patterns found in the transaction history of the account holder, such as periodic payments or subscriptions. These patterns are called recurrence groups.

Complete guide: Recurrence.

Was this page helpful?
Previous

Set a custom set of categories

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Path parameters

idstringRequired

Response

Successful Response
idstring
A unique UUID identifier for the group
start_datedate
The date of the oldest transaction in the group
end_datedate
The date of the most recent transaction in the group
total_amountdouble
The sum of all transaction amounts in this group
average_amountdouble
The average amount per transaction in this group
periodicity_in_daysdouble
The estimated number of days between transactions in this group
periodicityenum

A human-readable description of the transaction frequency

counterpartyobject
Counterparty of the transactions
categoriesobject
Categories of the transactions in the recurrence group
transaction_idslist of strings
Transactions in this recurrence group
entry_typeenum
The direction of the flow of the money for the transactions within the group.
Allowed values:

Errors

404
Not Found Error
422
Unprocessable Entity Error